clear
close all
clc

z = load('inletZ');
y = load('inletY');

K = 0.1;                % Non-dim. shear flow slope
D = 1;                  % Cylinder diameter
U0 = 5;                 % Bottom inlet velocity
Uinf_top = 2;           % Top inlet velocity
h = 47;                 % Non-dim. profile height. (e.g. domain height.)
%h = 40;

Uc = (Uinf_top - U0) * D / (K*h);   % Velocity at mid. z-location (avg.)

Ux = K * ((z+23)/D) * Uc + U0;
%Ux = K * ((z)/D) * Uc + U0;

figure
plot(Ux,z,'-ok')
ylabel('z')
xlabel('Ux')
axis([0 6 -24 25]);
%axis([0 6 0 40]);
grid on

fid = fopen('shearUx','w');
for i = 1:length(Ux)
    fprintf(fid,'( %8.4f %8.4f %8.4f )\n', Ux(i), 0, 0);
end




